Bug 1889823 (CVE-2020-25657) - CVE-2020-25657 m2crypto: bleichenbacher timing attacks in the RSA decryption API
Summary: CVE-2020-25657 m2crypto: bleichenbacher timing attacks in the RSA decryption API
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-25657
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1898305 1906696
Blocks: 1889511
TreeView+ depends on / blocked
 
Reported: 2020-10-20 16:34 UTC by Todd Cullum
Modified: 2021-04-14 16:46 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in all released versions of m2crypto, where they are vulnerable to Bleichenbacher timing attacks in the RSA decryption API via the timed processing of valid PKCS#1 v1.5 Ciphertext. The highest threat from this vulnerability is to confidentiality.
Clone Of:
Environment:
Last Closed: 2021-04-14 16:46:39 UTC


Attachments (Terms of Use)

Description Todd Cullum 2020-10-20 16:34:40 UTC
All released versions of m2crypto are vulnerable to Bleichenbacher timing attacks in the RSA decryption API, via timed processing of valid PKCS#1 v1.5 ciphertext.

Upstream issue:

https://gitlab.com/m2crypto/m2crypto/-/issues/285

Comment 5 Todd Cullum 2020-11-16 18:53:48 UTC
Created m2crypto tracking bugs for this issue:

Affects: fedora-all [bug 1898305]

Comment 10 errata-xmlrpc 2021-04-14 11:39:46 UTC
This issue has been addressed in the following products:

  Red Hat Virtualization Engine 4.4

Via RHSA-2021:1169 https://access.redhat.com/errata/RHSA-2021:1169

Comment 11 Product Security DevOps Team 2021-04-14 16:46:39 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-25657


Note You need to log in before you can comment on or make changes to this bug.